package test;

import java.util.Collection;
import java.util.HashSet;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.WindowConstants;
import jp.ac.kyutech.ai.ylab.shiva.utils.nativecapable.*;
public class NativeCapableTestApplication {
public static void main(String[] args) {
NativeCapableApplication nca = new NativeCapableApplication();NativeCapableModuleBuilder builder = new NativeCapableModuleBuilder(nca, "test.NativeCapableTest");
Collection<String> col = new HashSet<String>();
col.add("javax.media.");
col.add("com.sun.j3d..");
col.add("com.sun.opengl.");
col.add("com.sun.media.");
col.add("jp.nyatla.");
col.add("jp.ac.kyutech.ai.ylab.shiva.utils.nativecapable.");
builder.setTargetPackages(col);
builder.setDelegateTargets(false);
final NativeCapableModule module = builder.newModule();
module.initModule();
nca.add(module.getRootComponent());
nca.setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
nca.addWindowListener(new WindowAdapter() {
public void windowClosing(WindowEvent e) {
module.destroyModule();
}
});
nca.setBounds(100, 100, 640, 480);
nca.setVisible(true);
module.startModule();
}
}